<?xml version="1.0" encoding="UTF-8"?>
<xs:schema
  xmlns:mcdataup="urn:3gpp:ns:mcdata:user-profile:1.0"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  targetNamespace="urn:3gpp:ns:mcdata:user-profile:1.0"
  elementFormDefault="qualified" attributeFormDefault="unqualified">
  <xs:import namespace="http://www.w3.org/XML/1998/namespace"
  schemaLocation="http://www.w3.org/2001/xml.xsd"/>
  <!-- This import brings in common policy namespace from RFC 4745 -->
  <xs:import namespace="urn:ietf:params:xml:ns:common-policy"
  schemaLocation="http://www.iana.org/assignments/xml-registry/schema/common-policy.xsd"/>

  <xs:element name="mcdata-user-profile">
    <xs:complexType>
      <xs:choice minOccurs="1" maxOccurs="unbounded">
        <xs:element name="Name" type="mcdataup:NameType"/>
        <xs:element name="Status" type="xs:boolean"/>
        <xs:element name="ProfileName" type="mcdataup:NameType"/>
        <xs:element name="Pre-selected-indication" type="mcdataup:emptyType"/>
        <xs:element name="Common" type="mcdataup:CommonType"/>
        <xs:element name="OffNetwork" type="mcdataup:OffNetworkType"/>
        <xs:element name="OnNetwork" type="mcdataup:OnNetworkType"/>
        <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
        <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
      </xs:choice>
      <xs:attribute name="XUI-URI" type="xs:anyURI" use="required"/>
      <xs:attribute name="user-profile-index" type="xs:unsignedByte" use="required"/>
      <xs:anyAttribute namespace="##any" processContents="lax"/>
    </xs:complexType>
  </xs:element>

  <xs:complexType name="NameType">
    <xs:simpleContent>
      <xs:extension base="xs:token">
        <xs:attribute ref="xml:lang"/>
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>

  <xs:complexType name="CommonType">
    <xs:choice minOccurs="1" maxOccurs="unbounded">
      <xs:element name="UserAlias" type="mcdataup:UserAliasType"/>
      <xs:element name="MCDataUserID" type="mcdataup:EntryType"/>
      <xs:element name="MCDataUserID-KMSURI" type="mcdataup:EntryType"/>
      <xs:element name="ParticipantType" type="xs:string"/>
      <xs:element name="MissionCriticalOrganization" type="xs:string"/>
      <xs:element name="FileDistribution" type="mcdataup:FileDistributionType"/>
      <xs:element name="TxRxControl" type="mcdataup:TxRxControlType"/>
      <xs:element name="GroupEmergencyAlert" type="mcdataup:EmergencyAlertType"/>
      <xs:element name="One-to-One-Communication" type="mcdataup:One-to-One-CommunicationType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="OnNetworkType">
    <xs:choice minOccurs="0" maxOccurs="unbounded">
      <xs:element name="MCDataGroupInfo" type="mcdataup:MCDataGroupInfoType"/>
      <xs:element name="MaxAffiliationsN2" type="xs:nonNegativeInteger"/>
      <xs:element name="ImplicitAffiliations" type="mcdataup:ListEntryType"/>
      <xs:element name="PresenceStatus" type="mcdataup:ListEntryType"/>
      <xs:element name="RemoteGroupChange" type="mcdataup:ListEntryType"/>
      <xs:element name="ConversationManagement" type="mcdataup:ConversationManagementType"/>
      <xs:element name="One-To-One-EmergencyAlert" type="mcdataup:EmergencyAlertType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="OffNetworkType">
    <xs:choice minOccurs="0" maxOccurs="unbounded">
      <xs:element name="MCDataGroupInfo" type="mcdataup:MCDataGroupInfoType"/>
      <xs:element name="User-Info-ID" type="xs:hexBinary"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

<xs:complexType name="One-to-One-CommunicationType">
    <xs:sequence>
      <xs:element name="One-to-One-CommunicationListEntry" type="mcdataup:One-to-One-CommunicationListEntryType" minOccurs="0" maxOccurs="unbounded"/>      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="One-to-One-CommunicationListEntryType">
    <xs:choice minOccurs="1" maxOccurs="unbounded">
      <xs:element name="MCData-ID" type="mcdataup:EntryType"/>
      <xs:element name="ProSeUserID-entry" type="mcdataup:ProSeUserEntryType"/>
      <xs:element name="MCData-ID-KMSURI" type="mcdataup:EntryType"/>      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="EmergencyAlertType">
    <xs:sequence>
      <xs:element name="entry" type="mcdataup:EntryType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="ConversationManagementType">
    <xs:sequence>
      <xs:element name="MCDataGroupHangTime" type="mcdataup:GroupHangTimeType" minOccurs="1" maxOccurs="unbounded"/>
      <xs:element name="DeliveredDisposition" type="mcdataup:ListEntryType"/>
      <xs:element name="ReadDisposition" type="mcdataup:ListEntryType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="GroupHangTimeType">
    <xs:sequence>
      <xs:element name="MCData-Group-ID" type="mcdataup:EntryType"/>
      <xs:element name="Hang-Time" type="xs:duration"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="MCDataGroupInfoType">
    <xs:sequence>
      <xs:element name="MCData-Group-ID" type="mcdataup:EntryType"/>
      <xs:element name="GMS-App-Serv-Id" type="mcdataup:ListEntryType"/>
      <xs:element name="IdMS-Token-Endpoint" type="mcdataup:ListEntryType"/>
      <xs:element name="Group-KMSURI" type="mcdataup:EntryType"/>
      <xs:element name="RelativePresentationPriority" type="xs:nonNegativeInteger"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="FileDistributionType">
    <xs:sequence>
      <xs:element name="FD-Cancel-List-Entry" type="mcdataup:FD-Cancel-ListEntryType" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="FD-Cancel-ListEntryType">
    <xs:choice minOccurs="1" maxOccurs="unbounded">
      <xs:element name="MCData-ID" type="mcdataup:EntryType"/>
      <xs:element name="MCData-ID-KMSURI" type="mcdataup:EntryType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="TxRxControlType">
    <xs:sequence>
      <xs:element name="MaxData1To1" type="xs:positiveInteger"/>
      <xs:element name="MaxTime1To1" type="xs:duration"/>
      <xs:element name="TxReleaseList" type="mcdataup:ListEntryType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="UserAliasType">
    <xs:choice minOccurs="0" maxOccurs="unbounded">
      <xs:element name="alias-entry" type="mcdataup:AliasEntryType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="AliasEntryType">
    <xs:simpleContent>
      <xs:extension base="xs:token">
        <xs:attributeGroup ref="mcdataup:IndexType"/>
        <xs:attribute ref="xml:lang"/>
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>

  <xs:complexType name="ListEntryType">
    <xs:choice minOccurs="0" maxOccurs="unbounded">
      <xs:element name="entry" type="mcdataup:EntryType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:attribute ref="xml:lang"/>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:simpleType name="EntryInfoTypeList">
    <xs:restriction base="xs:normalizedString">
      <xs:enumeration value="UseCurrentlySelectedGroup"/>
      <xs:enumeration value="DedicatedGroup"/>
      <xs:enumeration value="UsePreConfigured"/>
      <xs:enumeration value="LocallyDetermined"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:complexType name="EntryType">
    <xs:sequence>
      <xs:element name="uri-entry" type="xs:anyURI"/>
      <xs:element name="display-name" type="mcdataup:DisplayNameElementType" minOccurs="0"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attribute name="entry-info" type="mcdataup:EntryInfoTypeList"/>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="GeographicalAreaChangeType">
    <xs:sequence>
      <xs:element name="EnterSpecificArea" type="mcdataup:GeographicalAreaType" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="ExitSpecificArea" type="mcdataup:GeographicalAreaType" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="GeographicalAreaType">
    <xs:choice>
      <xs:element name="PolygonArea" type="mcdataup:PolygonAreaType" minOccurs="0"/>
      <xs:element name="EllipsoidArcArea" type="mcdataup:EllipsoidArcType" minOccurs="0"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="PolygonAreaType">
    <xs:sequence>
      <xs:element name="Corner" type="mcdataup:PointCoordinateType" minOccurs="3" maxOccurs="15"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="EllipsoidArcType">
    <xs:sequence>
      <xs:element name="Center" type="mcdataup:PointCoordinateType"/>
      <xs:element name="Radius" type="xs:nonNegativeInteger"/>
      <xs:element name="OffsetAngle" type="xs:unsignedByte"/>
      <xs:element name="IncludedAngle" type="xs:unsignedByte"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="PointCoordinateType">
    <xs:sequence>
      <xs:element name="Longitude" type="mcdataup:CoordinateType"/>
      <xs:element name="Latitude" type="mcdataup:CoordinateType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:simpleType name="CoordinateType">
    <xs:restriction base="xs:integer">
      <xs:minInclusive value="0"/>
      <xs:maxInclusive value="16777215"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:complexType name="RulesForAffiliationManagementType">
    <xs:choice minOccurs="0" maxOccurs="unbounded">
      <xs:element name="ListOfLocationCriteria" type="mcdataup:GeographicalAreaChangeType"/>
      <xs:element name="ListOfActiveFunctionalAliasCriteria" type="mcdataup:ListEntryType"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="SpeedType">
    <xs:sequence>
      <xs:element name="MinimumSpeed" type="xs:unsignedShort"/>
      <xs:element name="MaximumSpeed" type="xs:unsignedShort"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>
  
  <xs:complexType name="HeadingType">
    <xs:sequence>
      <xs:element name="MinimumHeading" type="xs:unsignedShort"/>
      <xs:element name="MaximumHeading" type="xs:unsignedShort"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="ProSeUserEntryType">
    <xs:sequence>
      <xs:element name="DiscoveryGroupID" type="xs:hexBinary"/>
      <xs:element name="User-Info-ID" type="xs:hexBinary"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attributeGroup ref="mcdataup:IndexType"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="DisplayNameElementType">
    <xs:simpleContent>
      <xs:extension base="xs:string">
        <xs:attribute ref="xml:lang"/>
        <xs:anyAttribute namespace="##any" processContents="lax"/>
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>

  <xs:complexType name="IPInformationType">
    <xs:sequence>
      <xs:element name="IPInformationListEntry" type="mcdataup:IPInformationListEntryType" maxOccurs="unbounded"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="IPInformationListEntryType">
    <xs:choice>
      <xs:element name="IPv4Address" type="xs:token"/>
      <xs:element name="IPv6Address" type="xs:token"/>
      <xs:element name="FQDN" type="xs:anyURI"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>
  
  <xs:element name="allow-create-delete-user-alias" type="xs:boolean"/>
  <xs:element name="allow-create-group-broadcast-group" type="xs:boolean"/>
  <xs:element name="allow-create-user-broadcast-group" type="xs:boolean"/>
  <xs:element name="allow-transmit-data" type="xs:boolean"/>
  <xs:element name="allow-request-affiliated-groups" type="xs:boolean"/>
  <xs:element name="allow-request-to-affiliate-other-users" type="xs:boolean"/>
  <xs:element name="allow-recommend-to-affiliate-other-users" type="xs:boolean"/>
  <xs:element name="allow-regroup" type="xs:boolean"/>
  <xs:element name="allow-presence-status" type="xs:boolean"/>
  <xs:element name="allow-request-presence" type="xs:boolean"/>
  <xs:element name="allow-activate-emergency-alert" type="xs:boolean"/>
  <xs:element name="allow-cancel-emergency-alert" type="xs:boolean"/>
  <xs:element name="allow-cancel-emergency-alert-any-user" type="xs:boolean"/>
  <xs:element name="allow-enable-disable-user" type="xs:boolean"/>
  <xs:element name="allow-enable-disable-UE" type="xs:boolean"/>
  <xs:element name="allow-off-network-manual-switch" type="xs:boolean"/>
  <xs:element name="allow-off-network" type="xs:boolean"/>
  <xs:element name="anyExt" type="mcdataup:anyExtType"/>

  <xs:complexType name="IPInformationType">
    <xs:sequence>
      <xs:element name="IPInformationListEntry" type="mcdataup:IPInformationListEntryType" maxOccurs="unbounded"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="IPInformationListEntryType">
    <xs:choice>
      <xs:element name="IPv4Address" type="xs:token"/>
      <xs:element name="IPv6Address" type="xs:token"/>
      <xs:element name="FQDN" type="xs:anyURI"/>
      <xs:element name="anyExt" type="mcdataup:anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:choice>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>
  
  <xs:element name="IPInformation" type="mcdataup:IPInformationType"/>

<!-- The following anyExt elements can be included.-->
<!--    anyExt elements for IP Connectivity-->
  <xs:element name="IPInformation" type="mcdataup:IPInformationType"/>

<!--    anyExt elements for Functional Alias-->
  <xs:element name="FunctionalAliasList" type="mcdataup:ListEntryType"/>  <xs:element name="allow-query-functional-alias-other-user" type="xs:boolean"/>
  <xs:element name="allow-takeover-functional-alias-other-user" type="xs:boolean"/>

<!--    anyExt elements for Functional Alias for Location change-->
  <xs:element name="LocationCriteriaForActivation" type="mcdataup:GeographicalAreaChangeType"/>
  <xs:element name="LocationCriteriaForDeactivation" type="mcdataup:GeographicalAreaChangeType"/>
  <xs:element name="manual-deactivation-not-allowed-if-location-criteria-met" type="xs:boolean"/>
  <xs:element name="Speed" type="mcdataup:SpeedType"/>
  <xs:element name="Heading" type="mcdataup:HeadingType"/>

<!--    anyExt elements for Functional Alias for Affiliation change-->
<!-- Note: anyExt elements for Functional Alias for Affiliation change include speed and heading-->
  <xs:element name="RulesForAffiliation" type="mcdataup:RulesForAffiliationManagementType"/>
  <xs:element name="RulesForDeaffiliation" type="mcdataup:RulesForAffiliationManagementType"/>
  <xs:element name="manual-deaffiliation-not-allowed-if-affiliation-rules-are-met" type="xs:boolean"/>

  <xs:attributeGroup name="IndexType">
    <xs:attribute name="index" type="xs:token"/>
  </xs:attributeGroup>

  <!-- empty complex type -->
  <xs:complexType name="emptyType"/>

  <xs:complexType name="anyExtType"> 
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

</xs:schema>

